// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

namespace Microsoft.Toolkit.Uwp.UI.Controls
{
    /// <summary>
    /// Define mode available for  <see cref="ScrollHeader"/>
    /// </summary>
    public enum ScrollHeaderMode
    {
        /// <summary>
        /// No change. This is the default value.
        /// </summary>
        None,

        /// <summary>
        /// Enable quick return mode.
        /// </summary>
        QuickReturn,

        /// <summary>
        /// Enable sticky mode.
        /// </summary>
        Sticky,

        /// <summary>
        /// Enable fade mode.
        /// </summary>
        Fade
    }
}
